Download it now!
Bug 105165 - media playback toolbar - seek and volume controllers leave traces when dragged
Summary: media playback toolbar - seek and volume controllers leave traces when dragged
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha1
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Media-Playback
  Show dependency treegraph
 
Reported: 2017-01-07 10:02 UTC by bordfeldt
Modified: 2019-02-05 03:46 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
wrong displayed seek- and volume-controllers in media playback toolbar (6.30 KB, image/png)
2017-01-07 10:03 UTC, bordfeldt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bordfeldt 2017-01-07 10:02:14 UTC
Description:
I think, the slide controllers for seek and volume in the media playback toolbar should be displayed as a thin blue vertical line and can be dragged by the mouse. But if I do this, there are displaying problems. See attached screenshot.

Steps to Reproduce:
1. Open impress
2. create a new impress slideshow
3. change the first slide in a layout with title and content
4. insert a video-file in the content area
5. click on the video -> media playback toolbar appears
6. try to drag the seek- and volume-controllers with the mouse

Actual Results:  
seek- and volume-control in the media playback toolbar aren't displayed correctly when dragged with the mouse

Expected Results:
seek- and volume-control in the media playback toolbar should be displayed correctly when dragged with the mouse


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:50.0) Gecko/20100101 Firefox/50.0
Comment 1 bordfeldt 2017-01-07 10:03:29 UTC
Created attachment 130231 [details]
wrong displayed seek- and volume-controllers in media playback toolbar
Comment 2 Buovjaga 2017-01-13 16:04:53 UTC
I can reproduce on Linux as well. Traces are left, even though the UI element in the case of KDE is a circle.
I had to first undock the media playback toolbar to see any of the UI elements.

Not sure, if this is a regression. Might be implementation error, if the style of the controllers was changed.

Bordfeldt: you can add insight regarding the regression status, if you have any.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 57779b5f3a49fedd952aed70ddcce22f48b98ea5
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on January 13th 2016
Comment 3 bordfeldt 2017-01-13 17:35:02 UTC
"you can add insight regarding the regression status, if you have
any." What does this mean?
Comment 4 Buovjaga 2017-01-13 17:56:38 UTC
(In reply to bordfeldt from comment #3)
> "you can add insight regarding the regression status, if you have
> any." What does this mean?

Did it work without the artifacts in an older version?
Comment 5 Roman Kuznetsov 2017-01-14 22:10:12 UTC
i confirm this issue. repro with 5.1.6.2. not repro in 5.0.6 and earlier. this is regression
Comment 6 Mike Kaganski 2017-01-14 23:00:34 UTC
Worked OK with Version: 5.0.0.5 (x64)
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale: ru-RU (ru_RU)

Already reproducible with Version: 5.1.0.0.alpha1 (x64)
Build ID: 0b48731919433e46e4fda7e5a5ca27c08c28b981
Locale: ru-RU (ru_RU)
Comment 7 Mike Kaganski 2017-01-15 00:11:49 UTC
Bibisecting with bibisect-win32-5.1

$ git bisect log
# bad: [05d11632892a322664fb52bac90b2598b7fb7544] source sha:5616d22b57a9a5e57d545e912e029162a230829b
# good: [c1efd324c6ad448ac9edb030dc9738b9e6899e4d] source sha:ab465b90f6c6da5595393a0ba73f33a1e71a2b65
git bisect start 'master' 'oldest'
# good: [97526ab777da7e58ce283c05498262ecdd4d6f7f] source sha:4ea70f87f7a2b61eda6e5ab1f48debf6fcfadc1f
git bisect good 97526ab777da7e58ce283c05498262ecdd4d6f7f
# bad: [86fee7ded76d9c2756ccab6aef160a2d7fab0ab6] source sha:1b62841b1859ae3443e2bf1ebe99ec3d6afb6cc2
git bisect bad 86fee7ded76d9c2756ccab6aef160a2d7fab0ab6
# bad: [ecd02a00b3cb479dcecd6a2539e2f4140cd8158f] source sha:f45ac62a20b80033a7f5ccdef4a6c116b6fece24
git bisect bad ecd02a00b3cb479dcecd6a2539e2f4140cd8158f
# bad: [6629f1abc962685b1c83b088dff82517bb2f1691] source sha:5496f2a3ee8e76dda6d1c393308be1e9bbb90d6e
git bisect bad 6629f1abc962685b1c83b088dff82517bb2f1691
# bad: [a5f968795bf60a73039ae687b366800b7929f17c] source sha:6917cd98ca6b6fd2d495d0257c7fe50611982d34
git bisect bad a5f968795bf60a73039ae687b366800b7929f17c
# bad: [46a5506b97ad5599ec0c27abe6d39f46de3d7360] source sha:e126468e5dbc4ef85fc4b6146e0ba73e85281f70
git bisect bad 46a5506b97ad5599ec0c27abe6d39f46de3d7360
# bad: [719630ad66ad18929cddcb08e1f3912ed0df64a5] source sha:7ac8939cc8e7599cca3de27c8f8dc9fd9f2e2185
git bisect bad 719630ad66ad18929cddcb08e1f3912ed0df64a5
# bad: [fd3f7ea5e8f587cea262341fd01fa514410e0150] source sha:9909bcb88ec68d52a0f863319d9b4d12cc90b20c
git bisect bad fd3f7ea5e8f587cea262341fd01fa514410e0150
# good: [82e8c4e9369b92c525e1ea6f29cccadc949c0d6f] source sha:8f0f4faad2db50fdc50d3f66ed5d32c9a0138dad
git bisect good 82e8c4e9369b92c525e1ea6f29cccadc949c0d6f
# bad: [410d2a2b8aec6c62fb25188c1ab0bc0656e83aa3] source sha:3e6d47408db3717690515fcb8051dddd8fb3d9a6
git bisect bad 410d2a2b8aec6c62fb25188c1ab0bc0656e83aa3
# good: [107e3ee7c4371aaa11580464e8b516e807b02c63] source sha:e8e6475617257054cd0fd5ddb704c1115b165c97
git bisect good 107e3ee7c4371aaa11580464e8b516e807b02c63
# good: [694ac4035c1e3d6d419e44d1df913ddd9929f510] source sha:46cf9bb76b29f2bfa6639d9aaf4f26dee365bc0c
git bisect good 694ac4035c1e3d6d419e44d1df913ddd9929f510
# bad: [32127273e1111d03ec032ce94e0e3ccb2471992c] source sha:262e7be01461887202f629d1ccc57751b1a085c5
git bisect bad 32127273e1111d03ec032ce94e0e3ccb2471992c
# bad: [dcf96b9e8aa0b6875bddb100b434e660a44690ac] source sha:b70b4ae26a4d5256444996da46abee85a81b53be
git bisect bad dcf96b9e8aa0b6875bddb100b434e660a44690ac
# first bad commit: [dcf96b9e8aa0b6875bddb100b434e660a44690ac] source sha:b70b4ae26a4d5256444996da46abee85a81b53be

author	Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>	2015-09-04 11:36:55 (GMT)
committer	Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>	2015-09-04 12:39:47 (GMT)
commit	b70b4ae26a4d5256444996da46abee85a81b53be
tree	bcfa379831bc2f46f94b50b3cebc0048a82cda27
parent	46cf9bb76b29f2bfa6639d9aaf4f26dee365bc0c
fix slider drawing, change to always draw the whole widget
Change-Id: Ifca2f72962b808a355bd7dcc20babaeb61272bf8

https://cgit.freedesktop.org/libreoffice/core/commit/?id=b70b4ae26a4d5256444996da46abee85a81b53be
Comment 8 Mike Kaganski 2017-01-15 00:16:03 UTC
I must add that in 5.3.0.1 and current master, the playback/volume controls on Media Playback sidebar deck work as expected; but the same controls on Media Playback toolbar still have this problem. I wonder if there's some code duplication?
Comment 9 Xisco Faulí 2017-01-15 10:22:35 UTC
Adding Cc: to Tomaž Vajngerl
Comment 10 bordfeldt 2017-02-13 18:16:55 UTC
still exists in 5.3.0.3
Comment 11 bordfeldt 2017-08-03 14:29:16 UTC
still exists in 5.4.0.3
Comment 12 bordfeldt 2018-02-04 15:02:18 UTC
still exists in 6.0.0.3
Comment 13 QA Administrators 2019-02-05 03:46:32 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug